#63 netcard doesn't work on 10MBit hub

important
closed-duplicate
Jeff Garzik
8139too (65)
5
2014-08-04
2001-10-25
Anonymous
No

hallo,

i have a 10MBit BNC network and need to wake up a
computer over the net. therfor i bought a netcard with
rtl8139C with WOL.
but i can't ping to any computer on the net.

i tried the rtl8139B (the first netcard) too, but with
the same result

the kernel is 2.4.13

the hub shows the ping traffic and i get a tcpdump when
the computer is ping to, but only sometimes ther is
send a response back (mostly the 1st, 3rd and 5th ping
is ponged - then never again till reboot)

the rtl-diag and lspci:

rtl8139-diag.c:v2.04 8/08/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0xdc00.
RealTek chip registers at 0xdc00
0x000: 8ce80000 00002b28 80000000 00000000 00002000
00002000 00002000 00002000
0x020: 055cc000 055cc600 055ccc00 055cd200 055b0000
01000000 0000fff0 00000000
0x040: 70000000 00000000 2389aa1a 00000000 000d1000
00000000 0000f10c 00100000
0x060: 1000000f 05e17809 00000000 00000000 00000004
000f73c0 78fa8388 ad38de43.
No interrupt sources are pending.
The chip configuration is 0x10 0x0d, MII half-duplex
mode.
Decoded EEPROM contents:
PCI IDs -- Vendor 0x10ec, Device 0x8139.
PCI Subsystem IDs -- Vendor 0x10ec, Device 0x8139.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xf1 value 0x10.
Station Address 00:00:E8:8C:28:2B.
Configuration register 0/1 -- 0x0d / 0xc2.
EEPROM active region checksum is 0914.
EEPROM contents (64 words):
0x00: 8129 10ec 8139 10ec 8139 4020 f110 0000
0x08: 8ce8 2b28 0d10 f7c2 0001 8388 78fa 070a
0x10: de43 a538 0000 0000 de43 0000 de43 0000
0x18: de43 a438 0000 0000 de43 0000 de43 0000
0x20: 0000 ffff ffff ffff ffff ffff ffff ffff
0x28: ffff ffff ffff ffff ffff ffff ffff ffff
0x30: ffff ffff ffff ffff ffff ffff ffff ffff
0x38: ffff ffff ffff ffff ffff ffff ffff ffff
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x7809.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x05e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0004.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
00000000000000000000 MII read of -1:0 -> 0000.

00001111111111100001-> 00000000000000000000 MII
read of -1:1 -> 0000.
00001111111111100010-> 00000000000000000000 MII read
of -1:2 -> 0000.
00001111111111100011-> 00000000000000000000 MII read
of -1:3 -> 0000.
00001111111111100100-> 00000000000000000000 MII read
of -1:4 -> 0000.
00001111111111100101-> 00000000000000000000 MII read
of -1:5 -> 0000.
00001111111111100110-> 00000000000000000000 MII read
of -1:6 -> 0000.
00001111111111100111-> 00000000000000000000 MII read
of -1:7 -> 0000.
00001111111111101000-> 00000000000000000000 MII read
of -1:8 -> 0000.
00001111111111101001-> 00000000000000000000 MII
read of -1:9 -> 0000.
00001111111111101010-> 00000000000000000000 MII read
of -1:10 -> 0000.
00001111111111101011-> 00000000000000000000 MII read
of -1:11 -> 0000.
00001111111111101100-> 00000000000000000000 MII read
of -1:12 -> 0000.
00001111111111101101-> 00000000000000000000 MII read
of -1:13 -> 0000.
00001111111111101110-> 00000000000000000000 MII read
of -1:14 -> 0000.
00001111111111101111-> 00000000000000000000 MII read
of -1:15 -> 0000.
00001111111111110000-> 00000000000000000000 MII read
of -1:16 -> 0000.

00001111111111110001-> 00000000000000000000 MII
read of -1:17 -> 0000.
00001111111111110010-> 00000000000000000000 MII read
of -1:18 -> 0000.
00001111111111110011-> 00000000000000000000 MII read
of -1:19 -> 0000.
00001111111111110100-> 00000000000000000000 MII read
of -1:20 -> 0000.
00001111111111110101-> 00000000000000000000 MII read
of -1:21 -> 0000.
00001111111111110110-> 00000000000000000000 MII read
of -1:22 -> 0000.
00001111111111110111-> 00000000000000000000 MII read
of -1:23 -> 0000.
00001111111111111000-> 00000000000000000000 MII read
of -1:24 -> 0000.

00001111111111111001-> 00000000000000000000 MII
read of -1:25 -> 0000.
00001111111111111010-> 00000000000000000000 MII read
of -1:26 -> 0000.
00001111111111111011-> 00000000000000000000 MII read
of -1:27 -> 0000.
00001111111111111100-> 00000000000000000000 MII read
of -1:28 -> 0000.
00001111111111111101-> 00000000000000000000 MII read
of -1:29 -> 0000.
00001111111111111110-> 00000000000000000000 MII read
of -1:30 -> 0000.
00001111111111111111-> 00000000000000000000 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 00000000000000000000 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.
Index #2: Found a RealTek RTL8139 adapter at 0xd800.
RealTek chip registers at 0xd800
0x000: af7de000 00009adc 80000000 00000000 9108a03c
9108a03c 9108a03c 9008a03c
0x020: 055e0000 055e0600 055e0c00 055e1200 055d0000
0d0a0000 11681158 0000c07f
0x040: 74000600 0e00f78e 23926107 00000000 004d1000
00000000 0088c118 00100000
0x060: 1000f00f 01e1782d 00000000 00000000 00000005
000f77c0 b0f243b9 7a36d743.
No interrupt sources are pending.
The chip configuration is 0x10 0x4d, MII full-duplex
mode.
Decoded EEPROM contents:
PCI IDs -- Vendor 0x10ec, Device 0x8139.
PCI Subsystem IDs -- Vendor 0x10ec, Device 0x8139.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x12.
Station Address 00:E0:7D:AF:DC:9A.
Configuration register 0/1 -- 0x4d / 0xc2.
EEPROM active region checksum is 0b01.
EEPROM contents (64 words):
0x00: 8129 10ec 8139 10ec 8139 4020 e112 e000
0x08: af7d 9adc 4d10 f7c2 8801 43b9 b0f2 031a
0x10: df43 8a36 df43 8a36 43b9 b0f2 1111 1111
0x18: 0000 0000 0000 0000 0000 0000 0000 0000
0x20: 0000 0000 0000 0000 0000 0000 0000 0000
0x28: 0000 0000 0000 0000 0000 0000 0000 0000
0x30: 0000 0000 0000 0000 0000 0000 0000 0000
0x38: 0000 0000 0000 0000 0000 0000 0000 0000
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x782d.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x01e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0005.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
88888888888888888888 MII read of -1:0 -> 0000.

00001111111111100001-> 88888888888888888888 MII
read of -1:1 -> 0000.
00001111111111100010-> 88888888888888888888 MII read
of -1:2 -> 0000.
00001111111111100011-> 88888888888888888888 MII read
of -1:3 -> 0000.
00001111111111100100-> 88888888888888888888 MII read
of -1:4 -> 0000.
00001111111111100101-> 88888888888888888888 MII read
of -1:5 -> 0000.
00001111111111100110-> 88888888888888888888 MII read
of -1:6 -> 0000.
00001111111111100111-> 88888888888888888888 MII read
of -1:7 -> 0000.
00001111111111101000-> 88888888888888888888 MII read
of -1:8 -> 0000.

00001111111111101001-> 88888888888888888888 MII
read of -1:9 -> 0000.
00001111111111101010-> 88888888888888888888 MII read
of -1:10 -> 0000.
00001111111111101011-> 88888888888888888888 MII read
of -1:11 -> 0000.
00001111111111101100-> 88888888888888888888 MII read
of -1:12 -> 0000.
00001111111111101101-> 88888888888888888888 MII read
of -1:13 -> 0000.
00001111111111101110-> 88888888888888888888 MII read
of -1:14 -> 0000.
00001111111111101111-> 88888888888888888888 MII read
of -1:15 -> 0000.
00001111111111110000-> 88888888888888888888 MII read
of -1:16 -> 0000.

00001111111111110001-> 88888888888888888888 MII
read of -1:17 -> 0000.
00001111111111110010-> 88888888888888888888 MII read
of -1:18 -> 0000.
00001111111111110011-> 88888888888888888888 MII read
of -1:19 -> 0000.
00001111111111110100-> 88888888888888888888 MII read
of -1:20 -> 0000.
00001111111111110101-> 88888888888888888888 MII read
of -1:21 -> 0000.
00001111111111110110-> 88888888888888888888 MII read
of -1:22 -> 0000.
00001111111111110111-> 88888888888888888888 MII read
of -1:23 -> 0000.
00001111111111111000-> 88888888888888888888 MII read
of -1:24 -> 0000.

00001111111111111001-> 88888888888888888888 MII
read of -1:25 -> 0000.
00001111111111111010-> 88888888888888888888 MII read
of -1:26 -> 0000.
00001111111111111011-> 88888888888888888888 MII read
of -1:27 -> 0000.
00001111111111111100-> 88888888888888888888 MII read
of -1:28 -> 0000.
00001111111111111101-> 88888888888888888888 MII read
of -1:29 -> 0000.
00001111111111111110-> 88888888888888888888 MII read
of -1:30 -> 0000.
00001111111111111111-> 88888888888888888888 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 88888888888888888888 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.

lspci

00:00.0 Host bridge: Silicon Integrated Systems [SiS]
5591/5592 Host (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
Latency: 64
Region 0: Memory at ef800000 (32-bit,
non-prefetchable) [size=4M]
Capabilities: [c0] AGP version 1.0
Status: RQ=31 SBA+ 64bit- FW-
Rate=x1,x2
Command: RQ=0 SBA- AGP- 64bit- FW-
Rate=<none>

00:00.1 IDE interface: Silicon Integrated Systems [SiS]
5513 [IDE] (rev d0) (prog-if 80 [Master])
Subsystem: Silicon Integrated Systems [SiS]
SiS5513 EIDE Controller (A,B step)
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 128
Interrupt: pin A routed to IRQ 0
Region 0: I/O ports at <ignored>
Region 1: I/O ports at <ignored>
Region 2: I/O ports at <ignored>
Region 3: I/O ports at <ignored>
Region 4: I/O ports at 4000 [size=16]

00:01.0 ISA bridge: Silicon Integrated Systems [SiS]
85C503/5513 (rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle+
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0

00:01.1 Class ff00: Silicon Integrated Systems [SiS]
ACPI
Control: I/O- Mem- BusMaster- SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-

00:01.2 USB Controller: Silicon Integrated Systems
[SiS] 7001 (rev 11) (prog-if 10 [OHCI])
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (20000ns max)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at efedf000 (32-bit,
non-prefetchable) [size=4K]

00:02.0 PCI bridge: Silicon Integrated Systems [SiS]
5591/5592 AGP (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0
Bus: primary=00, secondary=01, subordinate=01,
sec-latency=0
I/O behind bridge: 0000c000-0000cfff
Memory behind bridge: ef100000-ef1fffff
Prefetchable memory behind bridge:
eef00000-eeffffff
BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort-
>Reset- FastB2B-

00:09.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd.
RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at dc00 [size=256]
Region 1: Memory at efedef00 (32-bit,
non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
Status: D0 PME-Enable- DSel=0 DScale=0
PME-

00:0a.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd.
RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 9
Region 0: I/O ports at d800 [size=256]
Region 1: Memory at efedee00 (32-bit,
non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
Status: D0 PME-Enable- DSel=0 DScale=0
PME-

00:0b.0 VGA compatible controller: Trident Microsystems
TGUI 9440 (rev e3) (prog-if 00 [VGA])
Control: I/O+ Mem+ BusMaster- SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 0
Region 0: Memory at efc00000 (32-bit,
non-prefetchable) [size=2M]
Region 1: Memory at efef0000 (32-bit,
non-prefetchable) [size=64K]
Expansion ROM at efee0000 [disabled] [size=64K]

Discussion

  • Jeff Garzik
    Jeff Garzik
    2001-10-26

    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik
    Jeff Garzik
    2001-10-26

    • status: open --> closed-duplicate